-----------------------------------------------------------------------------

local AloftOverlay = Aloft:NewModule("Overlay", "AceEvent-2.0")

-----------------------------------------------------------------------------

function AloftOverlay:UpdateAll()
	for aloftData in Aloft:IterateNameplates() do	
		aloftData.overlayFrame:Hide()
	end
end

-----------------------------------------------------------------------------

function AloftOverlay:OnEnable()
	self:RegisterEvent("Aloft:SetupFrame", "SetupFrame")
	self:UpdateAll()
end

function AloftOverlay:OnDisable()
	self:UnregisterAllEvents()

	for aloftData in Aloft:IterateNameplates() do
		local overlayFrame = aloftData.overlayFrame
		overlayFrame:ClearAllPoints()
		overlayFrame:SetAllPoints(aloftData.nameplateFrame)
		overlayFrame:SetTexture("Interface\\Tooltips\\Nameplate-Border")
		overlayFrame:SetVertexColor(1.0, 1.0, 1.0, 1.0)
		overlayFrame:SetTexCoord(0.0, 1.0, 0.0, 1.0)
		overlayFrame:Show()
	end
end

function AloftOverlay:SetupFrame(aloftData)
	aloftData.overlayFrame:Hide()
end

-----------------------------------------------------------------------------
